--- title: "create" slug: "analytics-dataforest-apps-create" tags: ["Data Forest", "Apps"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-dataforest-apps-create" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # create Available in VPC Create a Data Forest app. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/apps/create | ### Request headers For information about the headers common to all Data Forest APIs, see [Data Forest request headers](/docs/en/analytics-dataforest#%EC%9A%94%EC%B2%AD-%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `accountId` | String | Required | Account's unique identifier - 0-22 characters - UUID converted to Base62 format - See [getList](/docs/en/analytics-dataforest-accounts-getlist) of Accounts. | | `queueName` | String | Required | YARN queue name - `longlived` (default) - 0-60 characters | | `appTypeId` | String | Required | App type and version - 0-60 characters - See [getAppTypeIdList](/docs/en/analytics-dataforest-apps-getapptypeidlist). - Example: `DEV-1.0.0` | | `name` | String | Required | App name - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - Start and end of the string must be composed of lowercase English letters or numbers. - Special character "-" can't be used consecutively. | | `lifetime` | Integer | Required | App's uptime (second) - 300-604800, -1 (permanent) | | `description` | String | Optional | App description - 0-2048 characters | | `dependentIds` | Array | Optional | List of required dependent app IDs when creating an app - See [getAppBasicSetting](/docs/en/analytics-dataforest-apps-getappbasicsetting). | | `components` | Array | Required | App configuration component - See [getAppBasicSetting](/docs/en/analytics-dataforest-apps-getappbasicsetting). - See [AppComponentRequest data type](/docs/en/common-vapidatatype-appcomponentrequest) for the request body. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://df.apigw.ntruss.com/api/v2/apps/create' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "accountId": "***FQJ88q0be79VRB2e***", "queueName": "longlived", "appTypeId": "KAFKA-2.4.0", "name": "kafka001", "lifetime": 604800, "description": "string", "dependentIds": [ "***OMQ0QwFXb5XINOzf***" ], "components": [ { "name": "broker", "memoryMb": 2048, "cpuCount": 4, "containerCount": 1 }, { "name": "kafka-manager", "memoryMb": 2048, "cpuCount": 1, "containerCount": 1 } ] }' ``` ## Response This section describes the response format. ### Response body See [CreateAppRequest](/docs/en/common-vapidatatype-createapprequest) for the response body. ### Response status codes For information about the HTTP status codes common to all Data Forest APIs, see [Data Forest response status codes](/docs/en/analytics-dataforest#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "id": "***ziexhg0FcWx5eGUA***" } ```